Summary: oVirt 4.5 packages from the CentOS Virtualization SIG repository
Name: centos-release-ovirt45
Version: 8.9
Release: 1%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Virtualization
Source0: CentOS-oVirt-4.5.repo
Source1: COPYING
Source2: RPM-GPG-KEY-oVirt-4.5
Source3: CentOS-oVirt-4.5-testing.repo

BuildArch: noarch

Requires: centos-release
Requires: centos-release-ceph-pacific
Requires: centos-release-nfv-openvswitch
Requires: centos-release-opstools
Requires: centos-release-virt-common
Requires: centos-release-gluster10

Requires(post): python3-dnf-plugins-core

%description
Configuration and basic docs for oVirt 4.5 packages as delivered via the
CentOS Virtualization SIG.


%package -n %{name}-testing
Summary: oVirt 4.5 testing packages from the CentOS Virtualization SIG repository
Requires: %{name}

%description -n %{name}-testing
Configuration and basic docs for oVirt 4.5 testing packages as delivered via the
CentOS Virtualization SIG.



%prep
cp %{SOURCE1} .


%build
# nothing to build

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5.repo
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5-testing.repo
mkdir -p %{buildroot}%{_sysconfdir}/pki/rpm-gpg/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/


%post
if [ $(rpm --eval "%%centos") == 8 ]
then
# Ensuring powertools repository is enabled on centos-like distributions
dnf config-manager --set-enabled powertools
fi

%files
%config %{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-oVirt-4.5
%license COPYING

%files -n %{name}-testing
%license COPYING
%config %{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5-testing.repo

%changelog
* Thu Apr 20 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 8.9-1
- Exclude RDO custom ansible build
  (https://github.com/oVirt/ovirt-release/pull/334)

* Wed Oct 19 2022 Lev Veyde <lveyde@redhat.com> - 8.7-3
- Fixed oVirt OVS/OVN packages conflict with OpenStack ones

* Wed Jun 15 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 8.7-2
- move testing repos to separate subpackage

* Fri May 13 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 8.7-1
- skip repo enablement on RHEL as it requires subscription manager.

* Tue May 03 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 8.6-5
- Use fastest mirror for resources.ovirt.org.

* Mon Apr 11 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 8.6-4
- Drop Xena in favor of Yoga

* Wed Mar 30 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 8.6-3
- Require centos-release-gluster10 which is now available

* Thu Mar 17 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 8.6-2
- Yoga testing is module hotfix repo.

* Wed Mar 09 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 8.6-1
- Changed versioning to match stream release

* Tue Mar 08 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-1
- Ready for oVirt 4.5.0 Alpha

* Tue Mar 01 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.4
- Add oVirt upstream repositories for packages which couldn't build within CBS.

* Mon Feb 21 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.3
- Exclude ansible from Yoga repo as it breaks oVirt deps

* Fri Feb 04 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.2
- Ensure powertools repo is enabled

* Tue Feb 01 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.1
- Initial pre-release packaging
